import type { Parameter } from "@aws-sdk/client-ssm";
import { IConfigGetProperties } from './interface/index';
export declare class ParameterStoreConfigService {
    private readonly parameters;
    constructor(parameters: Array<Parameter>);
    get(properties: IConfigGetProperties | string): null | string;
    getApplication(): string;
    getEnvironment(): string;
}
